plugins:
  - "@semantic-release/commit-analyzer"
  - "@semantic-release/release-notes-generator"
  - - "@semantic-release/changelog"
    - changelogFile: CHANGELOG.md
  - - "@beepbeepgo/semantic-release-python"
    - setupPy: "./pyproject.toml"
  - "@semantic-release/gitlab"
  - - "@semantic-release/git"
    - assets: ["CHANGELOG.md", "pyproject.toml"]
      message: "chore(release): ${nextRelease.version} \n\n${nextRelease.notes}"

verifyConditions:
  - "@semantic-release/changelog"
    # Verify the presence and the validity of the configuration
  - "@semantic-release/git"
    # Verify the presence and the validity of the Git authentication
    # and release configuration
  - "@semantic-release/gitlab"
branches:
  - "main"
  - "+([0-9])?(.{+([0-9]),x}).x"
  - name: "alpha"
    prerelease: "alpha"
tagFormat:
  - "${version}"
